Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags

  | · Introduction · catch · cgi · throw · crypt · debug · default · for · gauge · nooutput · noparse · pike · random · realfile · scope · sed · strlen · trace · vfs · wizard

- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<debug> |

`<debug>` is defined in the Main RXML parser module. Sets debugging on or off. When debugging is on many RXML tags will output more detailed error messages. It is equivalent to giving the `debug` attributes to those tags.

Attributes |
on, off,

Attributes

`on`
  Enables debug mode.

`off`
  Disables debug mode.

Example

source code

    With debug:
    <br><debug on>
    <append variable=foo from=bar>

    <p>Without debug:
    <br><debug off>
    <append variable=foo from=bar>

result | With debug: Append: from variable doesn't exist Without debug:

</dump_if not cookie=rxml-help>